Summary:	X.org video driver for Tseng Labs video adapters
Summary(pl.UTF-8):	Sterownik obrazu X.org dla kart graficznych Tseng Labs
Name:		xorg-driver-video-tseng
Version:	1.2.5
Release:	7
License:	MIT
Group:		X11/Applications
Source0:	http://xorg.freedesktop.org/releases/individual/driver/xf86-video-tseng-%{version}.tar.bz2
# Source0-md5:	116ec66b4efcd378a5152defa769da33
Patch0:		build.patch
URL:		http://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	rpmbuild(macros) >= 1.389
BuildRequires:	xorg-lib-libpciaccess-devel >= 0.8.0
BuildRequires:	xorg-proto-fontsproto-devel
BuildRequires:	xorg-proto-randrproto-devel
BuildRequires:	xorg-proto-renderproto-devel
BuildRequires:	xorg-proto-videoproto-devel
BuildRequires:	xorg-proto-xextproto-devel
BuildRequires:	xorg-util-util-macros >= 1.8
BuildRequires:	xorg-xserver-server-devel >= 1.0.99.901
%{?requires_xorg_xserver_videodrv}
Requires:	xorg-xserver-server >= 1.0.99.901
Provides:	xorg-driver-video
Obsoletes:	X11-driver-tseng < 1:7.0.0
Obsoletes:	XFree86-Tseng
Obsoletes:	XFree86-W32
Obsoletes:	XFree86-driver-tseng < 1:7.0.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
X.org video driver for Tseng Labs video adapters.

%description -l pl.UTF-8
Sterownik obrazu X.org dla kart graficznych Tseng Labs.

%prep
%setup -q -n xf86-video-tseng-%{version}
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/xorg/modules/*/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog README
%attr(755,root,root) %{_libdir}/xorg/modules/drivers/tseng_drv.so
%{_mandir}/man4/tseng.4*
%changelog
* Thu Jul 17 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xorg-driver-video-tseng.git;a=log;h=master

* Thu Jul 17 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> bb541e9
- xserver rebuild
- release 7 (by relup.sh)

* Thu Jul 17 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> a73e4bb
- xserver rebuild
- release 6 (by relup.sh)

* Fri Jan 03 2014 Jan Rękorajski <baggins@pld-linux.org> f01f26d
- release 5 (by relup.sh)

* Tue Mar 12 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> a923ba3
- rel 4; fix build with xserver 1.14

* Mon Mar 11 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> ef3d1c9
- release 3 (by relup.sh)

* Thu Sep 06 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 10a843f
- release 2 (by relup.sh)

* Fri Jul 27 2012 Jakub Bogusz <qboosh@pld-linux.org> d64704d
- updated to 1.2.5
- removed obsolete git patch

* Thu Jun 21 2012 Jan Rękorajski <baggins@pld-linux.org> 65c922e
- rel 6
- sync with git for new ABI

* Sat Aug 27 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 18352f1
- release 5

* Thu Aug 25 2011 Elan Ruusamäe <glen@pld-linux.org> 0b16c95
- xorg-driver-video virtual for video drivers
- release 4

* Sun Feb 27 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 774f5b5
- release 3

* Wed Nov 10 2010 shadzik <shadzik@pld-linux.org> 97d89f1
- rel up

* Mon Aug 30 2010 Jakub Bogusz <qboosh@pld-linux.org> 2695114
- added README to docs
- updated deps

* Sat Aug 21 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 0d9cb28
- up to 1.2.4

* Sat Aug 21 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 9ece5dc
- release 4

* Fri Apr 02 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 3788a7c
- release 3

* Fri Oct 02 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 4691a1e
- release 2

* Sun Sep 20 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 927f89a
- up to 1.2.3

* Thu Aug 20 2009 amateja <amateja@pld-linux.org> e45573b
- updated to 1.2.2

* Wed Feb 25 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 7214cad
- up to 1.2.1

